pkgname=gnome-shell-extension-gpu-profile-selector
_uuid=GPU_profile_selector@lorenzo9904.gmail.com
pkgver=20
pkgrel=1
pkgdesc="A simple gnome-shell extension which provides a simple way to switch between GPU profiles on Nvidia Optimus systems in a few clicks."
arch=('any')
url="https://github.com/LorenzoMorelli/GPU_profile_selector"
license=('GPL-3.0-or-later')
depends=('bash' 'envycontrol' 'polkit' 'gnome-shell')
makedepends=('git')
_commit=87de0ff4dc9520dc2d028c66976d5362470f96e3
source=("git+https://github.com/LorenzoMorelli/GPU_profile_selector#commit=$_commit")
sha256sums=('749d26b9ceb564abe6c4eee3e9b67a5a122d4062d7434212be46583b683a5afd')

build() {
  cd GPU_profile_selector
  gnome-extensions pack \
     --extra-source=img \
     --extra-source=lib \
     --extra-source=ui \
     --force
}

package() {
  cd GPU_profile_selector
  install -d "$pkgdir/usr/share/gnome-shell/extensions/${_uuid}"
  bsdtar -xvf "${_uuid}.shell-extension.zip" -C \
    "$pkgdir/usr/share/gnome-shell/extensions/${_uuid}/" --no-same-owner

  install -Dm644 schemas/org.gnome.shell.extensions.GPU_profile_selector.gschema.xml -t \
    "$pkgdir/usr/share/glib-2.0/schemas"
  rm -rf "$pkgdir/usr/share/gnome-shell/extensions/${_uuid}/schemas"
}
